.theme-violet
  .vdatetime-popup__header,
  .vdatetime-calendar__month__day--selected > span > span,
  .vdatetime-calendar__month__day--selected:hover > span > span
    background: $colorSecond
  .vdatetime-year-picker__item--selected,
  .vdatetime-time-picker__item--selected,
  .vdatetime-popup__actions__button
    color: $colorSecond
.datetime
  position: relative
  min-width: rem(220)
  &__input
    position: relative
    display: block
    padding: 0
    background: none
    border: none
    border-bottom: rem(1) solid $colorMain
    width: 100%
    padding-bottom: rem(6)
    font-family: $mainFont
    font-size: rem(15)
    font-weight: bold
    line-height: 1.4
    color: $colorMain
    opacity: 0.75
    &:focus, &.active
      opacity: 1
      outline: none
      + .datetime__label
        opacity: 1
        span
          transform: translate3d(0, -90%, 0) scale(0.8)
  &__label
    position: absolute
    pointer-events: none
    width: 100%
    left: 0
    bottom: rem(7)
    text-align: left
    opacity: 0.75
    span
      display: block
      font-family: $mainFont
      font-size: rem(15)
      font-weight: bold
      line-height: 1.4
      color: $colorMain
      transition: transform 0.3s
      transform-origin: left
  &__error
    position: absolute
    bottom: 0
    transform: translateY(100%)
    display: none
    .error
      font-family: $mainFont
      font-size: 12px
      line-height: 1.25
      color: #ffffff
  &--error
    animation-name: shakeError
    animation-fill-mode: forward
    animation-duration: .6s
    animation-timing-function: ease-in-out
    .datetime
      &__error
        display: block
